#include <GL/glut.h>
#include "cWindow.h"
#include "cWindowMain.h"
#include "cWindowPlot.h"
#include "cWindowWorld.h"
#include "cWindowConfig.h"
//#include "cFont.h"

//window index
GLuint winMain;
GLuint winPlot;
GLuint winConfig;
GLuint winWorld;

int main(int argc, char* argv[])
{

	//Init GLUT
	glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE | GLUT_DEPTH);
    glutInitWindowSize(mWIDTH + 3*GAP, mHEIGHT + 2*GAP);
    glutInitWindowPosition(50, 50);

	//Init main window
	winMain = glutCreateWindow("3d Plot 0.60");
	initMain();

	//Init plot window
	winPlot = glutCreateSubWindow(winMain, GAP, GAP, pWIDTH, pHEIGHT);
	initPlot();

	//Init world window
	winWorld = glutCreateSubWindow(winMain, GAP + pWIDTH + GAP, GAP, wWIDTH, wHEIGHT);
	glutDisplayFunc(displayWorld);
	glutReshapeFunc(reshapeWorld);

	//Init config window
	winConfig = glutCreateSubWindow(winMain, GAP + pWIDTH + GAP, GAP + wHEIGHT + GAP, cWIDTH, cHEIGHT);
	initConfig();

	//menu1 = glutCreateMenu(menuFunc);
	//glutAddSubMenu("control", menu2);

	//TODO: load the first one (change method later)
	menuMain('l');


	glutMainLoop();

	return 0;        
}
