#ifndef WINDOWCONFIGHEADER
#define WINDOWCONFIGHEADER

#include <GL/glut.h>
#include "cWindow.h"
#include "vector.h"

void initConfig();

void reshapeConfig(int width, int height);
void displayConfig();
void mouseConfig(int button, int state, int x, int y);
void motionConfig(int x, int y);
void keyboardConfig(unsigned char ch, int x, int y);
void menuConfig(int value);
void idleConfig();

//color config handling
void AddColor(GLdouble z, cColor c);
void UpdateColor();
void UpdateConfig();


#endif;